summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorAndrea Girotto2015-06-08 22:23:19 +0200
committerAndrea Girotto2015-06-08 22:23:19 +0200
commit8911f2a9951fc1bade8b59d3605f5236047287c9 (patch)
tree0bd8c9f52bd92803d818ecb90cc5743fe2a924fa
downloadaur-8911f2a9951fc1bade8b59d3605f5236047287c9.tar.gz
Initial commit: release 1.10-1
-rw-r--r--.SRCINFO13
-rw-r--r--PKGBUILD19
2 files changed, 32 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..fa964c80869
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,13 @@
+pkgbase = java-commons-codec
+ pkgdesc = Implementations of common encoders and decoders such as Base64, Hex, Phonetic and URLs
+ pkgver = 1.10
+ pkgrel = 1
+ url = http://commons.apache.org/codec/
+ arch = any
+ license = Apache
+ depends = java-environment
+ source = http://mirror.ibcp.fr/pub/apache//commons/codec/binaries/commons-codec-1.10-bin.tar.gz
+ md5sums = 9b413ef3eae50bdf3da89644fd3cdbe5
+
+pkgname = java-commons-codec
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..c77c032bdf0
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,19 @@
+# Original packager: Francois Boulogne <fboulogne at april dot org>
+# Maintainer: Andrea Girotto echo "naqern.tvebggb@tznvy.pbz" | tr '[a-z]' '[n-za-m]'
+pkgname=java-commons-codec
+pkgver=1.10
+pkgrel=1
+pkgdesc='Implementations of common encoders and decoders such as Base64, Hex, Phonetic and URLs'
+arch=(any)
+url='http://commons.apache.org/codec/'
+license=('Apache')
+depends=('java-environment')
+source=("http://mirror.ibcp.fr/pub/apache//commons/codec/binaries/commons-codec-${pkgver}-bin.tar.gz")
+md5sums=('9b413ef3eae50bdf3da89644fd3cdbe5')
+
+package() {
+ install -d -m755 ${pkgdir}/usr/share/java/commons-codec/ || return 1
+ install -m644 \
+ ${srcdir}/commons-codec-${pkgver}/commons-codec-${pkgver}.jar \
+ ${pkgdir}/usr/share/java/commons-codec/commons-codec.jar || return 1
+}